> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hlofiys.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Validate current access token

> A lightweight endpoint to check if the current Bearer access token is valid and not expired. Returns a 200 OK on success, or a 401 Unauthorized if the token is invalid



## OpenAPI

````yaml api-reference/openapi.json get /api/auth/validate-token
openapi: 3.0.0
info:
  title: Tandem IT API
  version: 1.0.0
  description: API for tandem it backend
servers:
  - url: https://tandem.hlofiys.xyz
    description: Production server
security: []
tags:
  - name: Documentation
    description: API documentation endpoint
paths:
  /api/auth/validate-token:
    get:
      tags:
        - Authentication
      summary: Validate current access token
      description: >-
        A lightweight endpoint to check if the current Bearer access token is
        valid and not expired. Returns a 200 OK on success, or a 401
        Unauthorized if the token is invalid
      operationId: validateToken
      responses:
        '200':
          description: Token is valid.
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: Token is valid.
        '401':
          description: Unauthorized. Invalid, expired, or missing authentication token
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - BearerAuth: []
components:
  schemas:
    Error:
      type: object
      required:
        - message
      properties:
        message:
          type: string
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````